Kerbal Space Program - Bug #1735

Gilly map view vastly different to terrain
11/10/2013 10:14 PM - triffid_hunter

Status: Closed Start date: 11/10/2013
Severity: Low % Done: 100%
Assignee:

Category: Buildings

Target version: 1.4.5

Version: 0.22 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

http://i.imgur.com/gRGUCyd.png was taken with a LANDED ship.

| generally use map view to time my suicide burn, errors like this are extremely frustrating! Luckily, gilly's gravity is so low that | could
fix it from 3rd persion/IVA before becoming a thin smear on the rock.

Are the map view and ship view terrains created separately? Perhaps one should be generated from the other to avoid this?

History

#1 - 03/16/2016 06:17 AM - Kasuha
- File screenshot95.png added
- File screenshot97.png added
- File 32 gilly landing.sfs added

The issue is still there in game in 1.0.5 and can be potentially causing ships to disappear from seemingly stable orbits.
A landed ship in map view appears to be levitating at noticable distance above surface. See attached screenshot.

In normal view when zoomed out at maximum and rotating the camera, the surface display sometimes blends to the map view surface level and it can
be seen how much the normal and map view surface differs. See attached screenshot.

Attaching quicksave with the situation.

#2 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/29/2016 12:39 AM - bewing

- File landed_on_gilly.png added

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Still happens in 1.1.3.

#6 - 05/23/2018 04:34 AM - bewing

- Status changed from Updated to Investigating
- % Done changed from 10 to 20

- Platform OSX, Windows added

- Expansion Core Game added

#7 - 07/26/2018 09:39 PM - joshua.collins
- Status changed from Investigating to Ready to Test

- Target version set to 1.4.5
- % Done changed from 20 to 80

#8 - 06/19/2019 06:39 PM - just_jim
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

| just looked in version 1.7.2 and the lander icon is now showing up on the surface as intended

#9 - 06/20/2019 04:35 PM - chris.fulton

- Status changed from Resolved to Closed
